# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License
  
aws5:
  name: "Apache Flink AWS Connectors 5.0.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-aws-5.0.0/flink-connector-aws-5.0.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-aws-5.0.0/flink-connector-aws-5.0.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-aws-5.0.0/flink-connector-aws-5.0.0-src.tgz.sha512"
  compatibility: ["1.19.x", "1.20.x"]

cassandra:
  name: "Apache Flink Cassandra Connector 3.2.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-cassandra-3.2.0/flink-connector-cassandra-3.2.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-cassandra-3.2.0/flink-connector-cassandra-3.2.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-cassandra-3.2.0/flink-connector-cassandra-3.2.0-src.tgz.sha512"
  compatibility: ["1.18.x", "1.19.x"]

elasticsearch4:
  name: "Apache Flink Elasticsearch Connector 4.0.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-elasticsearch-4.0.0/flink-connector-elasticsearch-4.0.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-elasticsearch-4.0.0/flink-connector-elasticsearch-4.0.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-elasticsearch-4.0.0/flink-connector-elasticsearch-4.0.0-src.tgz.sha512"
  compatibility: ["2.0.x"]

elasticsearch:
  name: "Apache Flink Elasticsearch Connector 3.1.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-elasticsearch-3.1.0/flink-connector-elasticsearch-3.1.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-elasticsearch-3.1.0/flink-connector-elasticsearch-3.1.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-elasticsearch-3.1.0/flink-connector-elasticsearch-3.1.0-src.tgz.sha512"
  compatibility: ["1.18.x", "1.19.x", "1.20.x"]

gcp-pubsub:
  name: "Apache Flink Google Cloud PubSub Connector 3.1.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-gcp-pubsub-3.1.0/flink-connector-gcp-pubsub-3.1.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-gcp-pubsub-3.1.0/flink-connector-gcp-pubsub-3.1.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-gcp-pubsub-3.1.0/flink-connector-gcp-pubsub-3.1.0-src.tgz.sha512"
  compatibility: ["1.18.x", "1.19.x"]

hbase:
  name: "Apache Flink HBase Connector 4.0.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-hbase-4.0.0/flink-connector-hbase-4.0.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-hbase-4.0.0/flink-connector-hbase-4.0.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-hbase-4.0.0/flink-connector-hbase-4.0.0-src.tgz.sha512"
  compatibility: ["1.18.x", "1.19.x"]

hive:
  name: "Apache Flink Hive Connector 3.0.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-hive-3.0.0/flink-connector-hive-3.0.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-hive-3.0.0/flink-connector-hive-3.0.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-hive-3.0.0/flink-connector-hive-3.0.0-src.tgz.sha512"
  compatibility: ["1.20.x"]

jdbc:
  name: "Apache Flink JDBC Connector 3.3.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-jdbc-3.3.0/flink-connector-jdbc-3.3.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-jdbc-3.3.0/flink-connector-jdbc-3.3.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-jdbc-3.3.0/flink-connector-jdbc-3.3.0-src.tgz.sha512"
  compatibility: ["1.19.x", "1.20.x"]

jdbc40:
  name: "Apache Flink JDBC Connector 4.0.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-jdbc-4.0.0/flink-connector-jdbc-4.0.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-jdbc-4.0.0/flink-connector-jdbc-4.0.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-jdbc-4.0.0/flink-connector-jdbc-4.0.0-src.tgz.sha512"
  compatibility: ["2.0.x"]

kafka33:
  name: "Apache Flink Kafka Connector 3.3.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-kafka-3.3.0/flink-connector-kafka-3.3.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-kafka-3.3.0/flink-connector-kafka-3.3.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-kafka-3.3.0/flink-connector-kafka-3.3.0-src.tgz.sha512"
  compatibility: ["1.19.x", "1.20.x"]

kafka34:
  name: "Apache Flink Kafka Connector 3.4.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-kafka-3.4.0/flink-connector-kafka-3.4.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-kafka-3.4.0/flink-connector-kafka-3.4.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-kafka-3.4.0/flink-connector-kafka-3.4.0-src.tgz.sha512"
  compatibility: ["1.20.x"]

kafka40:
  name: "Apache Flink Kafka Connector 4.0.1"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-kafka-4.0.1/flink-connector-kafka-4.0.1-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-kafka-4.0.1/flink-connector-kafka-4.0.1-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-kafka-4.0.1/flink-connector-kafka-4.0.1-src.tgz.sha512"
  compatibility: ["2.0.x"]

kudu:
  name: "Apache Flink Kudu Connector 2.0.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-kudu-2.0.0/flink-connector-kudu-2.0.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-kudu-2.0.0/flink-connector-kudu-2.0.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-kudu-2.0.0/flink-connector-kudu-2.0.0-src.tgz.sha512"
  compatibility: ["1.19.x", "1.20.x"]

opensearch:
  name: "Apache Flink Opensearch Connector 2.0.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-opensearch-2.0.0/flink-connector-opensearch-2.0.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-opensearch-2.0.0/flink-connector-opensearch-2.0.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-opensearch-2.0.0/flink-connector-opensearch-2.0.0-src.tgz.sha512"
  compatibility: ["1.18.x", "1.19.x"]

opensearch2:
  name: "Apache Flink Opensearch Connector 1.2.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-opensearch-1.2.0/flink-connector-opensearch-1.2.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-opensearch-1.2.0/flink-connector-opensearch-1.2.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-opensearch-1.2.0/flink-connector-opensearch-1.2.0-src.tgz.sha512"
  compatibility: ["1.18.x", "1.19.x"]

prometheus:
  name: "Apache Flink Prometheus Connector 1.0.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-prometheus-1.0.0/flink-connector-prometheus-1.0.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-prometheus-1.0.0/flink-connector-prometheus-1.0.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-prometheus-1.0.0/flink-connector-prometheus-1.0.0-src.tgz.sha512"
  compatibility: ["1.19.x", "1.20.x"]

pulsar3:
  name: "Apache Flink Pulsar Connector 3.0.1"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-pulsar-3.0.1/flink-connector-pulsar-3.0.1-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-pulsar-3.0.1/flink-connector-pulsar-3.0.1-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-pulsar-3.0.1/flink-connector-pulsar-3.0.1-src.tgz.sha512"
  compatibility: ["1.16.x"]

pulsar4:
  name: "Apache Flink Pulsar Connector 4.1.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-pulsar-4.1.0/flink-connector-pulsar-4.1.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-pulsar-4.1.0/flink-connector-pulsar-4.1.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-pulsar-4.1.0/flink-connector-pulsar-4.1.0-src.tgz.sha512"
  compatibility: ["1.17.x", "1.18.x"]

rabbitmq:
  name: "Apache Flink RabbitMQ Connector 3.0.1"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-rabbitmq-3.0.1/flink-connector-rabbitmq-3.0.1-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-rabbitmq-3.0.1/flink-connector-rabbitmq-3.0.1-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-rabbitmq-3.0.1/flink-connector-rabbitmq-3.0.1-src.tgz.sha512"
  compatibility: ["1.16.x", "1.17.x"]

mongodb:
  name: "Apache Flink MongoDB Connector 2.0.0"
  source_release_url: "https://www.apache.org/dyn/closer.lua/flink/flink-connector-mongodb-2.0.0/flink-connector-mongodb-2.0.0-src.tgz"
  source_release_asc_url: "https://downloads.apache.org/flink/flink-connector-mongodb-2.0.0/flink-connector-mongodb-2.0.0-src.tgz.asc"
  source_release_sha512_url: "https://downloads.apache.org/flink/flink-connector-mongodb-2.0.0/flink-connector-mongodb-2.0.0-src.tgz.sha512"
  compatibility: ["1.19.x", "1.20.x"]
